CREATE TABLE CRST_FA_DEPRN_SUMMARY
(
  BOOK_TYPE_CODE            VARCHAR2(15 BYTE),
  ASSET_ID                  NUMBER(15),
  DEPRN_RUN_DATE            DATE,
  DEPRN_AMOUNT              NUMBER,
  YTD_DEPRN                 NUMBER,
  DEPRN_RESERVE             NUMBER,
  DEPRN_SOURCE_CODE         VARCHAR2(15 BYTE),
  ADJUSTED_COST             NUMBER,
  BONUS_RATE                NUMBER,
  LTD_PRODUCTION            NUMBER,
  PERIOD_COUNTER            NUMBER(15),
  PRODUCTION                NUMBER,
  REVAL_AMORTIZATION        NUMBER,
  REVAL_AMORTIZATION_BASIS  NUMBER,
  REVAL_DEPRN_EXPENSE       NUMBER,
  REVAL_RESERVE             NUMBER,
  YTD_PRODUCTION            NUMBER,
  YTD_REVAL_DEPRN_EXPENSE   NUMBER,
  PRIOR_FY_EXPENSE          NUMBER,
  BONUS_DEPRN_AMOUNT        NUMBER,
  BONUS_YTD_DEPRN           NUMBER,
  BONUS_DEPRN_RESERVE       NUMBER,
  PRIOR_FY_BONUS_EXPENSE    NUMBER,
  DEPRN_OVERRIDE_FLAG       VARCHAR2(1 BYTE)
);
